Last Comment Bug 770883 - Disable functionality for clearing prefetch
: Disable functionality for clearing prefetch
Status: VERIFIED FIXED
[qa!]
:
Product: Core
Classification: Components
Component: Widget: Win32 (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal (vote)
: mozilla16
Assigned To: Brian R. Bondy [:bbondy]
: Jason Smith [:jsmith]
Mentors:
Depends on: 692255
Blocks: 770899 770911
  Show dependency treegraph
 
Reported: 2012-07-04 07:17 PDT by Brian R. Bondy [:bbondy]
Modified: 2012-07-14 18:31 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
+
verified
verified


Attachments
Patch v1 (5.34 KB, patch)
2012-07-04 07:53 PDT, Brian R. Bondy [:bbondy]
taras.mozilla: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Brian R. Bondy [:bbondy] 2012-07-04 07:17:39 PDT
The STARTUP_USING_PRELOAD_TRIAL histogram in correlation to startup time analysis in Bug 765850 has shown us that other than the slowest 1% of startups, prefetch disabling hurts us.

We need to land a patch that disables the functionality of clearing prefetch, but keeps everything else in place.  

This task will ensure that clearing does not happens on beta (will be v15) and Release (will be v14) on the next migration.

We will request that this goes on Aurora (currently v15) after it lands on Nightly (currently v16).
Comment 1 Jason Smith [:jsmith] 2012-07-04 07:30:45 PDT
Hmm okay (makes sense after reading the analysis). For windows users that dogfood Aurora and Nightly, what should we do about the fact that they now have prefetch files that are 0 KB and read only? Are they permanently stuck with those prefetch files unless they explicitly go into C:\Windows\Prefetch and remove them? Or is there something we can do on our end?

Is this a permanent backout of this functionality or a pref off until a better approach is found?
Comment 2 Brian R. Bondy [:bbondy] 2012-07-04 07:33:11 PDT
I'll be posting a follow up email about how this will be reverted completely for all users including those of Aurora and Nightly a bit later today.  In short after the next migration I'll land a new patch on the new Nightly and Aurora that deletes prefetch files only if they are read only and 0 sized. Then that task itself will be reverted before the migration after that.   In the end, unfortunately this is probably a permanent backout.
Comment 3 Brian R. Bondy [:bbondy] 2012-07-04 07:53:30 PDT
Created attachment 639100 [details] [diff] [review]
Patch v1

The reason I'm just #if 0'ing it out is because there will be another patch in a bug I'm about to post that will re-add this functionality.  That new patch will not land until after the next migration.  It will re-add the functionality but change prefetch clearing so it deletes the prefetch only when it is 0 bytes and read-only.
Comment 4 (dormant account) 2012-07-05 11:15:59 PDT
Comment on attachment 639100 [details] [diff] [review]
Patch v1

rubberstamp
Comment 5 Brian R. Bondy [:bbondy] 2012-07-08 18:47:33 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/dfca0a052c47

Tested this patch on elm, also tested to make sure upgrades are fine and are unaffected since this touches the maintenance service.
Comment 6 Brian R. Bondy [:bbondy] 2012-07-08 18:48:41 PDT
Comment on attachment 639100 [details] [diff] [review]
Patch v1

[Approval Request Comment]
Bug caused by (feature/regressing bug #): bug 692255
User impact if declined: We don't want to clear people's prefetch on the Beta channel since we found that clearing is a net negative.
Testing completed (on m-c, etc.): Tested on elm already, pushed to m-i so should be on m-c soon too.
Risk to taking this patch (and alternatives if risky): Low
String or UUID changes made by this patch: None
Comment 7 Ed Morley [:emorley] 2012-07-09 04:49:34 PDT
https://hg.mozilla.org/mozilla-central/rev/dfca0a052c47
Comment 8 Alex Keybl [:akeybl] 2012-07-12 15:23:06 PDT
Comment on attachment 639100 [details] [diff] [review]
Patch v1

[Triage Comment]
Low risk, prevents a new regression in FF15.
Comment 9 Jason Smith [:jsmith] 2012-07-12 17:31:31 PDT
Verified on Nightly.
Comment 10 Brian R. Bondy [:bbondy] 2012-07-13 06:49:26 PDT
http://hg.mozilla.org/releases/mozilla-aurora/rev/3ca4c24f0c34

Note You need to log in before you can comment on or make changes to this bug.